QGIS Application - Bug report #2637
Composer default extent on existing map wrong
2010-04-08 10:32 AM - John Tull

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 12697
Description

The map composer, on OS X at least, always displays an existing map in a shrunken view rather than at the fullest possible extent for the
window. I've attached a picture that shows this.

History

#1 - 2010-06-20 08:20 AM - Marco Hugentobler

Is this still true? | tried the print composer on a macbook with William's nightly build (commit:856347c4 (SVN r13598)). The default size there seems ok to
me (appr. left half of the screen is preview and the right half is widget).

#2 - 2010-07-06 08:44 AM - John Tull

Sorry for the delay. For my cmake builds, it is still true. | do not know what might be different that would cause this. | tried making my own xcode build, but

it is failing to build with current trunk for me.

#3 - 2011-03-05 11:18 AM - John Tull

This is still a problem on OS X, but only when a project file (qgs) is reopened. l.e., if you have an active project and composer item, opening, closing, and
opening the map composer item is fine, but if you quit QGIS or reopen that project, then the composer item is displayed oddly as shown in the attached

image.

#4 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4
#5 - 2012-04-16 06:24 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-04-06 06:02 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#8 - 2014-05-31 10:28 PM - Nyall Dawson
- Resolution set to worksforme
- Status changed from Open to Closed
- Pull Request or Patch supplied set to No

Is this still an issue? | can't reproduce it under current master on osx. There's been changes to the composer code which may have fixed this too. I'll close

this for now, please reopen if you still see issues.
